Skip to main content

Let's Play Armored Core!

Submitted by Xenoveritas on

Armored Core

Armored Core is a game series by From Software, who are best known for, well, the Armored Core game series. While still somewhat a niche title, Armored Core is a fairly successful "mech" game. You play as a mercenary, called a Raven, who pilots an Armored Core: a giant customizable mech.

Read on for the rest of the Let's Play.

The Nook gains a web browser Xenoveritas
Topics

The Barnes & Noble nook has had a web browser added to it in the 1.3 update (along with sudoku and chess and a bunch of other things).

And the web browser actually works pretty freaking well. The nook’s design of a small touch screen along with an e-ink display means that you get a full-color small view into the website on the bottom and a very nice black-and-white view on the top. You can scroll through the website using both the touch screen and the page back/forward keys, meaning that all-in-all, it works very well for simple surfing.

Let’s Play Commander Keen 5: It Has Begun

Submitted by Xenoveritas on
Topics

My brother and I have started playing through Commander Keen 5, a relatively well known old DOS side-scroller.

And one that really hasn’t aged well, nor does it play as well as some of the more well-known console-based side-scrollers like Mario.

I’m not going to upload the video quite yet, although it looks like we’ve got a working system. Before I get to that, I want to finish my Commander Keen 4 Pyramid of the Forbidden video, which I’ve finally got a “finished” version of that I still need to upload.

Upgrading to Ubuntu 10.04 Behind a Proxy

Submitted by Xenoveritas on
Topics

If you do a update-manager -d under Ubuntu 9.10 and happen to be behind a firewall, you might notice that it appears to freeze as soon as you click on the Upgrade button. This is caused by a known bug in Ubuntu where the start of the upgrade process doesn't take your proxy settings into account.

It's been fixed in 10.04, but that doesn't help you if you're using 9.10 or 9.04.

So how do you fix it?